# $Revision: 1.11.2.1 $, $Date: 2007/04/01 21:26:54 $
Summary:	Laptop Mode Tools
Summary(pl):	Narzdzia do trybu laptopowego
Name:		laptop-mode-tools
Version:	1.32
Release:	1
License:	GPL
Group:		Applications/System
Source0:	http://www.xs4all.nl/~bsamwel/laptop_mode/tools/downloads/%{name}_%{version}.tar.gz
# Source0-md5:	120723749b1a067fa6dec1c767ad2786
Source1:	%{name}.init
URL:		http://www.samwel.tk/laptop_mode/
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name}-scripts = %{epoch}:%{version}-%{release}
BuildArch:	noarch
ExclusiveArch:	%{ix86} ppc noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Laptop mode (also known as laptopmode, laptop-mode and laptop_mode,
for search engine purposes :) ) is a kernel "mode" that allows you to
extend the battery life of your laptop. It does this by intelligently
grouping write activity on your disks, so that only reads of uncached
data result in a disk spinup. It causes a significant improvement in
battery life (for usage patterns that allow it).

%description -l pl
Tryb laptopowy (laptop mode) to "tryb" pracy jdra umoliwiajcy
wyduenie czasu ycia baterii laptopa. Czyni to inteligentnie
grupujc zapisy na dyski w ten sposb, e tylko odczyt
niezbuforowanych danych powoduje rozpdzenie dysku. Powoduje znaczc
popraw czasu ycia baterii.

%package acpi
Summary:	ACPI scripts for laptop mode tools
Summary(pl):	Skrypty ACPI dla narzdzi do trybu laptopowego
Group:		Applications/System
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	acpid
Provides:	%{name}-scripts = %{epoch}:%{version}-%{release}

%description acpi
ACPI scripts for laptop mode tools.

%description acpi -l pl
Skrypty ACPI dla narzdzi do trybu laptopowego.

%package apm
Summary:	APM scripts for laptop mode tools
Summary(pl):	Skrypty APM dla narzdzi do trybu laptopowego
Group:		Applications/System
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	apmd
Provides:	%{name}-scripts = %{epoch}:%{version}-%{release}

%description apm
APM scripts for laptop mode tools.

%description apm -l pl
Skrypty APM dla narzdzi do trybu laptopowego.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{sysconfig,rc.d/init.d,laptop-mode,apm/event.d,acpi/{actions,events}} \
	$RPM_BUILD_ROOT{%{_mandir}/man8,%{_sbindir}}

install man/*.8 $RPM_BUILD_ROOT%{_mandir}/man8

install etc/laptop-mode/laptop-mode.conf $RPM_BUILD_ROOT%{_sysconfdir}/laptop-mode
install usr/sbin/laptop_mode usr/sbin/lm-syslog-setup $RPM_BUILD_ROOT%{_sbindir}

install etc/acpi/actions/* $RPM_BUILD_ROOT%{_sysconfdir}/acpi/actions
install etc/acpi/events/* $RPM_BUILD_ROOT%{_sysconfdir}/acpi/events

install etc/apm/event.d/* $RPM_BUILD_ROOT%{_sysconfdir}/apm/event.d

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/laptop-mode

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add laptop-mode
%service laptop-mode restart

%preun
if [ "$1" = "0" ]; then
	%service laptop-mode stop
	/sbin/chkconfig --del laptop-mode
fi

%files
%defattr(644,root,root,755)
%doc README Documentation/*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/laptop-mode/*.*
%dir %{_sysconfdir}/laptop-mode
%attr(754,root,root) /etc/rc.d/init.d/laptop-mode
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man8/*.8*

%files acpi
%defattr(644,root,root,755)
%attr(750,root,root) %{_sysconfdir}/acpi/*/*

%files apm
%defattr(644,root,root,755)
%attr(750,root,root) %{_sysconfdir}/apm/event.d/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: laptop-mode-tools.spec,v $
Revision 1.11.2.1  2007/04/01 21:26:54  hawk
- exclude alpha, amd64 and sparc, no apmd there

Revision 1.11  2007/01/25 19:41:55  arekm
- up to 1.32

Revision 1.10  2006/11/04 09:41:07  mmazur
- updated url

Revision 1.9  2006/05/21 17:21:12  glen
- rel 2

Revision 1.8  2006/03/02 23:01:11  glen
- use %service and adapterize

Revision 1.7  2006/01/29 15:33:08  jareq
- updated to 1.22

Revision 1.6  2005/05/21 18:27:07  qboosh
- sorted verify() flags

Revision 1.5  2005/05/21 17:55:44  blues
- release 1 - seems to work

Revision 1.4  2005/05/16 17:02:40  zbyniu
- up to 1.05

Revision 1.3  2005/02/04 08:37:47  qboosh
- fixed md5

Revision 1.2  2005/02/03 22:06:48  qboosh
- pl, cleanup

Revision 1.1  2005/02/01 19:42:22  arekm
- initial pld release
